# Create LoadRunner Professional provider instances

To create an instance of the LoadRunner provider, build a YAML file (`instance.yml` in this example) with the definition of the instance:

{% code lineNumbers="true" %}

```yaml
# LoadRunner Telemetry Provider Instance
provider: LoadRunner
config:
 hostname: cifsserver.mycompany.com
 username: akamas
 password: mypassword
 shareName: akamas_lr_results
```

{% endcode %}

Then you can create the instance for the `system` using the Akamas CLI:

```bash
akamas create telemetry-instance instance.yml system
```

### Configuration options <a href="#configuration-options" id="configuration-options"></a>

When you create an instance of the LoadRunner provider, you should specify some configuration information to allow the provider to correctly extract and process metrics from LoadRunner.

You can specify configuration information within the `config` part of the YAML of the instance definition.

#### Required properties <a href="#required-properties" id="required-properties"></a>

* `hostname`: The hostname or IP of the server that hosts the CIFS share where the LoadRunner results have been exported. See [LoadRunner operator](https://docs.akamas.io/akamas-docs/3.1.2/akamas-reference/workflow-operators/loadrunner-operator).
* `username`: The username and the domain required to access the network share. Supported formats are:
  * username
  * domain\username
  * username\@domain
* `password`: The password required to access the network share
* `shareName`: The name of the network share as it is exposed by the server

### Telemetry instance reference <a href="#hardbreak-telemetry-instance-reference" id="hardbreak-telemetry-instance-reference"></a>

The following YAML file provides the reference for the definition of a telemetry instance.

{% code lineNumbers="true" %}

```yaml
provider: LoadRunner # this is an instance of the LoadRunner provider
config:
 hostname: cifsserver.mycompany.com # Share server
 username: user@mycompany
 password: mypassword
 shareName: akamas_lr_results
 pathPrefix:YAML
```

{% endcode %}

The following table describes the reference for the `config` section within the definition of the LoadRunner provider instance:

| Field      | Type   | Description                                                                                                                                                                                                                                                    | Default Value | Restrictions                                                                                                                    | Required |
| ---------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------- | ------------------------------------------------------------------------------------------------------------------------------- | -------- |
| hostname   | String | the hostname or IP of the server that hosts the CIFS share where the LoadRunner results have been exported. See [LoadRunner operator](https://docs.akamas.io/akamas-docs/3.1.2/akamas-reference/workflow-operators/loadrunner-operator)                        | -             | IP address or FQDN                                                                                                              | Yes      |
| username   | String | The username and the domain required to access the share                                                                                                                                                                                                       | -             | <p>Supported formats:</p><ul><li><em>username</em></li><li><em>domain\username</em></li><li><em>username\@domain</em></li></ul> | Yes      |
| password   | String | The password required to access the share                                                                                                                                                                                                                      | -             | -                                                                                                                               | Yes      |
| shareName  | String | The name of the share as it is exposed by the server                                                                                                                                                                                                           | -             | -                                                                                                                               | Yes      |
| pathPrefix | String | <p>A prefix for the default path where the provider looks for the data.</p><p>The default path is <em>{studyName}{experimentId}{trialId}</em></p><p>See <a href="../../../akamas-reference/workflow-operators/loadrunner-operator">LoadRunner operator</a></p> | -             | A valid Windows path                                                                                                            | No       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akamas.io/akamas-docs/3.1.2/integrating-akamas/integrating-telemetry-providers/loadrunner-professional-provider/create-loadrunner-professional-provider-instances.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
